Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.storage
Class MapData

    java.lang.Object
      net.minecraft.world.WorldSavedData
          net.minecraft.world.storage.MapData

    public class MapData

extends WorldSavedData

Field Summary
`byte[]` | `colors` colours
`int` | `dimension`
`List` | `playersArrayList` Holds a reference to the MapInfo of the players who own a copy of the map
`Map` | `playersVisibleOnMap`
`byte` | `scale`
`int` | `xCenter`
`int` | `zCenter`

Fields inherited from class net.minecraft.world.WorldSavedData
`mapName`

Constructor Summary
`MapData(String par1Str)`

Method Summary
`byte[]` | `func_76193_a(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)`
`MapInfo` | `func_82568_a(EntityPlayer par1EntityPlayer)`
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` reads in data from the NBTTagCompound into this MapDataBase
`void` | `setColumnDirty(int par1, int par2, int par3)` Marks a vertical range of pixels as being modified so they will be resent to clients.
`void` | `updateMPMapData(byte[] par1ArrayOfByte)`
`void` | `updateVisiblePlayers(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)` Adds the player passed to the list of visible players and checks to see which players are visible
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

Methods inherited from class net.minecraft.world.WorldSavedData
`isDirty, markDirty, setDirty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xCenter

    public int xCenter

### zCenter

    public int zCenter

### dimension

    public int dimension

### scale

    public byte scale

### colors

    public byte[] colors

  colours

### playersArrayList

    public List playersArrayList

  Holds a reference to the MapInfo of the players who own a copy of the map

### playersVisibleOnMap

    public Map playersVisibleOnMap

Constructor Detail

### MapData

    public MapData(String par1Str)

Method Detail

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  reads in data from the NBTTagCompound into this MapDataBase

  Specified by:
    `readFromNBT` in class `WorldSavedData`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

  Specified by:
    `writeToNBT` in class `WorldSavedData`

### updateVisiblePlayers

    public void updateVisiblePlayers(EntityPlayer par1EntityPlayer,
                                     ItemStack par2ItemStack)

  Adds the player passed to the list of visible players and checks to see which players are visible

### func_76193_a

    public byte[] func_76193_a(ItemStack par1ItemStack,
                               World par2World,
                               EntityPlayer par3EntityPlayer)

### setColumnDirty

    public void setColumnDirty(int par1,
                               int par2,
                               int par3)

  Marks a vertical range of pixels as being modified so they will be resent to clients. Parameters: X, lowest Y, highest Y

### updateMPMapData

    public void updateMPMapData(byte[] par1ArrayOfByte)

### func_82568_a

    public MapInfo func_82568_a(EntityPlayer par1EntityPlayer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD